## debpartial-mirror 0.2.95

=== tests/Makefile ===
# debpartial-mirror - partial debian mirror package tool
# (c) 2004 Otavio Salvador <otavio@debian.org>, Nat Budin <natb@brandeis.edu>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

### This makefile is to be used to test all needed features of
### debpartial-mirror system

# Point the sources
all:
	python tests.py

clean:
	rm -f *.pyc *~

## debpartial-mirror 0.2.7

=== debian/changelog ===
debpartial-mirror (0.2.7) unstable; urgency=low

  * Added new options to skip downloads of files and packages. See the
    manual page.
  * Added a simulate option (Closes: #254104).
  * Back to use docbook-to-man since this is more clear to me right now.
  * Improved the manpage.
  * Added a configuration option (get_provides) to allow to skip all
    provided packages (Closes: #254105).

 -- Otavio Salvador <otavio@debian.org>  Wed, 16 Jun 2004 13:16:18 -0300

debpartial-mirror (0.2.6) unstable; urgency=low

  * debian/control: Add docbook-utils Build-Depends to fix FTBFS
    (Closes: #251605).
  * debian/rules: use docbook2man instead of docbook-to-man command.

 -- Otavio Salvador <otavio@debian.org>  Mon, 31 May 2004 14:48:55 -0300

debpartial-mirror (0.2.5) unstable; urgency=low

  * Upload to unstable (did at DebConf4).
  * Fix manual page fallowing the tips of Per Olofsson <pelle@dsv.su.se>
    (Closes: #250872).
  * Removed README.Debian by now since we don't have any interesting
    information for it (Closes: #250868).

 -- Otavio Salvador <otavio@debian.org>  Tue,  4 May 2004 13:52:14 -0300

debpartial-mirror (0.2.4) experimental; urgency=low

  * src/RemotePackages.py: use Replaces to get another possible solution
    to dependencies.

 -- Otavio Salvador <otavio@debian.org>  Tue,  4 May 2004 02:00:43 -0300

debpartial-mirror (0.2.3) experimental; urgency=low

  * src/RemotePackages.py: fix virtual-package processing. Now this
    identify all virtual-package.
  * src/debpartial-mirror.in: changed the label about when was built. More
    short now.

 -- Otavio Salvador <otavio@debian.org>  Tue,  4 May 2004 01:58:53 -0300

debpartial-mirror (0.2.2) experimental; urgency=low

  * Removed the TODO item about apt-proxy since current development
    version solved the problem.
  * debian/control: fix description spelling errors.
  * debian/manpage.sgml: fix spelling errors.
  * src/Config.py: changed getExclude member to getExcludes.
  * src/debpartial-mirror.in, debian/rules: added information about when
    was built.

 -- Otavio Salvador <otavio@debian.org>  Tue,  4 May 2004 01:13:49 -0300

debpartial-mirror (0.2.1) experimental; urgency=low

  * Bug fix: "debpartial-mirror: [wishlist] Add support for a
    exclude-packages configuration", thanks to Gustavo R. Montesino
    (Closes: #247043). This was already supported but now I have
    documented it in configuration file for example.

 -- Otavio Salvador <otavio@debian.org>  Sun,  2 May 2004 23:00:23 -0300

debpartial-mirror (0.2.0) experimental; urgency=low

  * Added support to resolve virtual packages.

 -- Otavio Salvador <otavio@debian.org>  Fri, 30 Apr 2004 20:13:01 -0300

debpartial-mirror (0.1.1) experimental; urgency=low

  * Remove wrong information while processing debian-cd tasks.
  * Include better examples in configuration file.
  * RemotePackages.py (RemotePackages.__selectPackage): removed unused
    parameter.

 -- Otavio Salvador <otavio@debian.org>  Fri, 30 Apr 2004 13:39:45 -0300

debpartial-mirror (0.1) experimental; urgency=low

  * Initial Release.

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 Apr 2004 22:33:48 -0300

=== debian/control ===
Source: debpartial-mirror
Section: net
Priority: extra
Maintainer: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 4.0.0), python, docbook-to-man
Standards-Version: 3.6.1

Package: debpartial-mirror
Architecture: all
Depends: ${python:Depends}
Description: Debian partial mirror script
 This script makes the partial mirroring of Debian repository easy. It
 provides the possibility to get only one section, priority, package
 and others.

## debpartial-mirror 0.2.10ubuntu1

=== debian/changelog ===
debpartial-mirror (0.2.10ubuntu1) hoary; urgency=low

  * python2.4 rebuild

 -- Michael Vogt <mvo@debian.org>  Thu,  6 Jan 2005 23:00:30 +0100

debpartial-mirror (0.2.10) unstable; urgency=low

  * Vagrant Cascadian
    - change "Error" to "Warning" in non-fatal cases. Closes: #284004
    - flush output buffer so download percent displays sooner
    - minor wording corrections
  * Otavio Salvador
    - Change cpp use to include from debian-cd tasks too. Closes: #284027

 -- Otavio Salvador <otavio@debian.org>  Fri,  3 Dec 2004 22:13:28 -0200

debpartial-mirror (0.2.9) unstable; urgency=low

  * [Note: This is a bugfix release. All new features and major changes
     will be included on the 0.3.0 version. This version is current at
     development stage and you can take a look at it using SVN to do the
     checkout using:
  
      svn co \
        svn://svn.debian.org/svn/partial-mirror/branches/rewrite \
        debpartial-mirror
  
     Thanks!]
  * Fix some spelling errors.
  * Backport Vagrant Cascadian manpages fixes, did on rewrite branch.
  * Apply Vagrant Cascadian to have cleaner download output. Closes: #281303.
  * Check that local_directory= ends with '/'. Closes: #281399.

 -- Otavio Salvador <otavio@debian.org>  Thu, 25 Nov 2004 18:33:20 -0200

debpartial-mirror (0.2.8) unstable; urgency=low

  * Otavio Salvador
    - Merge back the description improvement did by Ben Armstrong in
      rewrite branch. I only removed the part talking about use more then
      one source since this is not supported by this branch.
    - Change the URI on description to the website on Alioth.

 -- Otavio Salvador <otavio@debian.org>  Fri,  2 Jul 2004 10:31:10 -0300

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,10 @@
 Architecture: all
 Depends: ${python:Depends}
 Description: Debian partial mirror script
- This script makes the partial mirroring of Debian repository easy. It
- provides the possibility to get only one section, priority, package
- and others.
+ This script makes the partial mirroring of Debian repositories easy.
+ With it, you can mirror selected sections, priorities, packages,
+ virtual packages, or even files and directories matching regular
+ expressions.
+ .
+ The project web site is here:
+ http://partial-mirror.alioth.debian.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

	# Fill the vars
	sed "s/@VERSION@/$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')/g;s/@DATE@/$(shell dpkg-parsechangelog | grep '^Date:' | awk -F': ' '{ print $$2; }')/g" < src/debpartial-mirror.in > src/debpartial-mirror

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp src/*.pyc src/debpartial-mirror debpartial-mirror.1

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install --group=root --owner=root --mode 755 $(CURDIR)/src/debpartial-mirror $(CURDIR)/debian/debpartial-mirror/usr/bin/
	install --group=root --owner=root --mode 644 $(CURDIR)/src/*.py $(CURDIR)/debian/debpartial-mirror/usr/share/debpartial-mirror/
	install --group=root --owner=root --mode 644 $(CURDIR)/etc/debpartial-mirror.conf $(CURDIR)/debian/debpartial-mirror/etc/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	docbook-to-man $(CURDIR)/debian/manpage.sgml > $(CURDIR)/debpartial-mirror.1
	dh_installman $(CURDIR)/debpartial-mirror.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python $(CURDIR)/debian/debpartial-mirror/usr/share/debpartial-mirror/
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debpartial-mirror 0.2.11

=== debian/changelog ===
debpartial-mirror (0.2.11) unstable; urgency=low

  * Vagrant Cascadian
    - fix typos. Closes: #290998, #290996

 -- Otavio Salvador <otavio@debian.org>  Sat, 30 Jul 2005 20:27:01 -0300

## debpartial-mirror 0.2.92

=== debian/changelog ===
debpartial-mirror (0.2.92) unstable; urgency=low

  * Bump Standards-Version to 3.7.2:
    - Move cdbs and related dependencies to Build-Depends field.
  * Update to python policy 0.4.1:
    - add XS-Python-Version: current in source package;
    - add XB-Python-Version: ${python:Versions} in binary package;
    - set build-depends for python to python (>= 2.3.5-7) since we need 
      it for pyversions;

 -- Otavio Salvador <otavio@debian.org>  Fri, 23 Jun 2006 10:39:39 -0300

debpartial-mirror (0.2.91) unstable; urgency=low

  * Add python as build-depends. Closes: #361801.
  * Handle directory downloads properly.

 -- Otavio Salvador <otavio@debian.org>  Mon,  5 Jun 2006 23:09:07 -0300

debpartial-mirror (0.2.90) unstable; urgency=low

  * This very is a rewrote of Debian Partial Mirror utility. We did it since
    the previous version has a lot of design issues that we wasn't able to
    solve without rethink it.
  
    Take care of upgrade of configuration file by your own since this
    package wasn't yet included in any stable release. You should see a
    full configuration file for reference in /etc/debpartial-mirror.conf
  
 -- Otavio Salvador <otavio@debian.org>  Sat,  8 Apr 2006 15:49:35 -0300

=== debian/control ===
Source: debpartial-mirror
Section: net
Priority: extra
Maintainer: Otavio Salvador <otavio@debian.org>
Build-Depends-Indep: python-dev (>= 2.3.5-7), python-central (>= 0.4.10)
Build-Depends: debhelper (>= 5.0.37.1), cdbs (>= 0.4.41)
Standards-Version: 3.7.2
XS-Python-Version: current

Package: debpartial-mirror
Architecture: all
Depends: ${python:Depends}, python-apt, python-pycurl, python-cdd (>> 0.0.2)
Description: tools to create partial Debian mirrors
 Mirroring of partial Debian repositories is easy with the
 debpartial-mirror tool.
 .
 With it, you can mirror selected sections, priorities, packages,
 virtual packages, or even files and directories matching regular
 expressions.  Packages may be drawn from any number of sources,
 with dependencies for each source resolved from whichever other 
 sources you specify.
 .
 The project web site is here:
 http://partial-mirror.alioth.debian.org/
XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

configure/debpartial-mirror::
	# Fill the vars
	sed -i "s/version_str = .*/version_str = '$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')'/g;s/date_str = .*/date_str = '$(shell dpkg-parsechangelog | grep '^Date:' | awk -F': ' '{ print $$2; }')'/g" debpartial-mirror
	sed -i "s/version = .*,/version = '$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')',/g" setup.py

#build/debpartial-mirror::
	# Build the manual page
#	docbook-to-man $(CURDIR)/debian/manpage.sgml > $(CURDIR)/debpartial-mirror.1

clean::
	rm -f	src/*.pyc tests/*.pyc \
		debpartial-mirror.1

## debpartial-mirror 0.2.95

=== debian/changelog ===
debpartial-mirror (0.2.95) unstable; urgency=low

  [ Otavio Salvador ]
  * Check if we're on a tty before change terminal options. Closes: #389340

  [ Tiago Bortoletto Vaz ]
  * Fix problem building architecture in Dists.py. Thanks to Ben Armstrong for
    reporting. Closes: #397475

 -- Otavio Salvador <otavio@debian.org>  Wed,  8 Nov 2006 19:43:07 -0200

debpartial-mirror (0.2.94) unstable; urgency=low

  [ Otavio Salvador ]
  * Applied patch from "Antonio S. de A. Terceiro"
    <terceiro@softwarelivre.org> to fix a wrong variable name. Closes: #388465
  * Applied patch from "Antonio S. de A. Terceiro"
    <terceiro@softwarelivre.org> to fix the dependency checking of
    backends. Closes: #388463

  [ Tiago Bortoletto Vaz ]
  * More changes in Pool.py, that didn't use full paths to compare unneeded
    files then removing needed ones.
  * Cleaning Pool.py code.

 -- Otavio Salvador <otavio@debian.org>  Thu, 21 Sep 2006 13:46:36 -0300

debpartial-mirror (0.2.93) unstable; urgency=low

  [ Tiago Bortoletto Vaz ]
  * debian/rules
    - uncomment manpage generating in build target (we need manpage!) :)
    - using pysupport instead of pycentral. By using it, it's not necessary
      pycompat file anymore, either XS-Python-Version and XB-Python-Version in
      control file
  * debian/control
    - add docbook-to-man as build dependence
    - remove XS-Python-Version and XB-Python-Version fields
    - add build-depends python-support instead of python-central
    - update debhelper version to (>= 5.0.37.2)
  * debian/manpage.sgml
    - fix dhsection from 'net' to '1'
    - add '()' to separate Otavio's email from his name in the AUTHOR section
  * debian/compat
    - update from 4 to 5
  * debpartial_mirror/Pool.py
    - fix a important problem about removing needed files after downloading them

 -- Otavio Salvador <otavio@debian.org>  Sun, 17 Sep 2006 23:02:54 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: net
 Priority: extra
 Maintainer: Otavio Salvador <otavio@debian.org>
-Build-Depends-Indep: python-dev (>= 2.3.5-7), python-central (>= 0.4.10)
-Build-Depends: debhelper (>= 5.0.37.1), cdbs (>= 0.4.41)
+Build-Depends-Indep: python-dev (>= 2.3.5-7), python-support (>= 0.4)
+Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.41), docbook-to-man
 Standards-Version: 3.7.2
-XS-Python-Version: current
 
 Package: debpartial-mirror
 Architecture: all
@@ -22,4 +21,3 @@
  .
  The project web site is here:
  http://partial-mirror.alioth.debian.org/
-XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

configure/debpartial-mirror::
	# Fill the vars
	sed -i "s/version_str = .*/version_str = '$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')'/g;s/date_str = .*/date_str = '$(shell dpkg-parsechangelog | grep '^Date:' | awk -F': ' '{ print $$2; }')'/g" debpartial-mirror
	sed -i "s/version = .*,/version = '$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')',/g" setup.py

build/debpartial-mirror::
	# Build the manual page
	docbook-to-man $(CURDIR)/debian/manpage.sgml > $(CURDIR)/debpartial-mirror.1

clean::
	rm -f	src/*.pyc tests/*.pyc \
		debpartial-mirror.1

## debpartial-mirror 0.2.96

=== debian/changelog ===
debpartial-mirror (0.2.96) unstable; urgency=low

  [ Otavio Salvador ]
  * Fix build-dependencies to please lintian.
  * Grab Release.gpg when mirroring.

  [ Martin Fuzzey ]
  * Fixes
    - resolve_deps_using now implemented. Closes: #389341
    - Fix race condition in Download that sometimes caused files to be skipped
    - Old files now correctly removed from merge mirror
    - Some package fields were not copied by merge mirror
    - Mirrors with relative paths now cleaned properly
    - Check if we're on a tty before change terminal options. Closes: #389340
    - Get all available dependencies even if some missing

  * New features
    - Add standalone config key to force fail if some dependencies unavailable
    - Support signing merge mirrors
    - Support automatic non pooled repositories
    - Support filters for merge mirrors
    - Add filters for arbitary package fields (field-XXX)
    - Add negative (exclude) filters on section, priority and name

  * Improvements
    - Better configuration error reporting

  * Internals
    - Add end to end tests
    - Use tabs for indentation

  [ Otavio Salvador ]
  * Add VCS-{Git,Browser} to debian/control

 -- Otavio Salvador <otavio@debian.org>  Mon, 26 May 2008 21:20:01 -0300

=== debian/control ===
Source: debpartial-mirror
Section: net
Priority: extra
Maintainer: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.41), docbook-to-man, python, python-support (>= 0.3)
Standards-Version: 3.7.3
VCS-Git: git://projetos.ossystems.com.br/git/debpartial-mirror.git
VCS-Browser: http://projetos.ossystems.com.br/repositories/show/debpartial-mirror


Package: debpartial-mirror
Architecture: all
Depends: ${python:Depends}, python-apt, python-pycurl, python-cdd (>= 0.0.8), gnupg
Description: tools to create partial Debian mirrors
 Mirroring of partial Debian repositories is easy with the
 debpartial-mirror tool.
 .
 With it, you can mirror selected sections, priorities, packages,
 virtual packages, or even files and directories matching regular
 expressions.  Packages may be drawn from any number of sources,
 with dependencies for each source resolved from whichever other
 sources you specify.
Homepage: http://projetos.ossystems.com.br/projects/show/debpartial-mirror

## debpartial-mirror 0.2.97

=== debian/changelog ===
debpartial-mirror (0.2.97) unstable; urgency=low

  [ Martin Fuzzey ]
  * Fixes
    - Apply patch from Alexander Inyukhin to fix SHA1 sums. Closes: #502642
    - Avoid crash when release fields missing (Version..). Closes:  #511106
    - Allow mirroring multiple architectures. Closes:  #497907

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 Jan 2009 08:49:59 -0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Otavio Salvador <otavio@debian.org>
+Uploaders: Martin Fuzzey <mfuzzey@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.41), docbook-to-man, python, python-support (>= 0.3)
 Standards-Version: 3.7.3
 VCS-Git: git://projetos.ossystems.com.br/git/debpartial-mirror.git

## debpartial-mirror 0.2.98

=== debian/changelog ===
debpartial-mirror (0.2.98) unstable; urgency=low

  [ Martin Fuzzey ]
  * python-apt 0.8 API transition (Closes: #572082)
  * Fix lintian warnings
  * Switch tests to python-mock (since python-pmock removed from Debian)

  [ Otavio Salvador ]
  * Update to dpkg-source 3.0 (native) format.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 22 Mar 2010 11:08:39 -0300

## debpartial-mirror 0.2.99

=== debian/changelog ===
debpartial-mirror (0.2.99) unstable; urgency=low

  [ Martin Fuzzey ]
  * Fix exceptions in clean (Closes: #596672)

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 22 Oct 2010 19:01:17 -0200

## debpartial-mirror 0.3.0

=== debian/changelog ===
debpartial-mirror (0.3.0) unstable; urgency=low

  [ Martin Fuzzey ]
  * Apply patch from Pino Toscano to user errno module rather than hardcoded constants (Closes: #640628)
  * Apply patch from Andrew Suffield to use most recent of multiple versions (Closes: #645309)

 -- Otavio Salvador <otavio@debian.org>  Mon, 17 Oct 2011 10:42:20 -0200

## debpartial-mirror 0.3.1

=== debian/changelog ===
debpartial-mirror (0.3.1) unstable; urgency=low

  [ Martin Fuzzey ]
  * Apply second version of patch from Pino Toscano to user errno module rather than hardcoded constants (Closes: #640628)

 -- Otavio Salvador <otavio@debian.org>  Mon, 07 Nov 2011 15:09:03 -0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Otavio Salvador <otavio@debian.org>
 Uploaders: Martin Fuzzey <mfuzzey@gmail.com>
 Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.41), docbook-to-man, python, python-support (>= 0.3)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.4
 VCS-Git: git://projetos.ossystems.com.br/git/debpartial-mirror.git
 VCS-Browser: http://projetos.ossystems.com.br/repositories/show/debpartial-mirror
 
 
 Package: debpartial-mirror
 Architecture: all
-Depends: ${python:Depends}, python-apt, python-pycurl, python-cdd (>= 0.0.8), gnupg
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.93.2~), python-pycurl, python-cdd (>= 0.0.8), gnupg
 Description: tools to create partial Debian mirrors
  Mirroring of partial Debian repositories is easy with the
  debpartial-mirror tool.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

configure/debpartial-mirror::
	# Fill the vars
	sed -i "s/version_str = .*/version_str = '$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')'/g" debpartial-mirror
	sed -i "s/version = .*,/version = '$(shell dpkg-parsechangelog | grep '^Version:' | awk '{ print $$2; }')',/g" setup.py

build/debpartial-mirror::
	# Build the manual page
	docbook-to-man $(CURDIR)/debian/manpage.sgml > $(CURDIR)/debpartial-mirror.1

clean::
	rm -f	src/*.pyc tests/*.pyc \
		debpartial-mirror.1

## debpartial-mirror 0.3.1+nmu1

=== debian/changelog ===
debpartial-mirror (0.3.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload from debconf15.
  * Replace python-support by dh-python (Closes: #786076)

 -- Paul Gevers <elbrus@debian.org>  Wed, 19 Aug 2015 21:49:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Otavio Salvador <otavio@debian.org>
 Uploaders: Martin Fuzzey <mfuzzey@gmail.com>
-Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.41), docbook-to-man, python, python-support (>= 0.3)
+Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), docbook-to-man, python (>= 2.6.6-3~), dh-python
 Standards-Version: 3.8.4
 VCS-Git: git://projetos.ossystems.com.br/git/debpartial-mirror.git
 VCS-Browser: http://projetos.ossystems.com.br/repositories/show/debpartial-mirror

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_PYTHON_SYSTEM=pysupport
+DEB_PYTHON2_MODULE_PACKAGES=debpartial-mirror
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

## debpartial-mirror 0.3.1+nmu2

=== tests/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 # Point the sources
 all:
 	python tests.py
+	USE_RELATIVE_PATHS=1 python tests.py
 
 clean:
 	rm -f *.pyc *~

=== debian/changelog ===
debpartial-mirror (0.3.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:16:05 +0800
